Void/Delete Voucher

Prev Next
Post
/ap-rest-api/rest/1/voiddeletevoucher

Overview

Once an invoice has been posted, it must be voided to reverse its distribution to the General Ledger and its sub-ledgers. The VoidDeleteVoucher API enables the reversal (void) of an invoice using a create action.

Notes

UI Navigation

Financials > Accounts Payable > Void Invoices

Reference Article

Accounts Payable – Void Invoices

voiddeletevoucher Attributes (Required)

CMiC UI Fieldname Object Name Description Type Data Length Example
Company Code voiddeletevoucher CompCode This is the company code the voided invoice belongs to. This must be a valid Company Code in CMiC. string 8 001
Vendor Code voiddeletevoucher VenCode This is the vendor the voided invoice was originally created under. This must be a valid AP Vender code in CMiC. string 8 MICR01
Invoice Code voiddeletevoucher InvCode This is the invoice number entered when the invoice was originally created. string 20 INV-12412
Void Date voiddeletevoucher VoidDate This is the date the invoice will be reversed. datetime YYYY-MM-DD 2025-09-26
Post Flag voiddeletevoucher PostFlag This flag posts the void by committing the record into financials on insert. string 1 Y/N
Voucher Number voiddeletevoucher VouNum This is the Voucher Number associated with the invoice when it was created. number 10 217032
Security
HTTP
Type basic

Basic authentication

Header parameters
Content-Type
string
Exampleapplication/vnd.oracle.adf.action+json
Body parameters
object
Example{ "name": "voidDeleteVoucher", "parameters": [ { "compCode": "RKC" }, { "invCode": "62815600" }, { "vouNum": "157213" }, { "venCode": "ARROW" }, { "postFlag": "N" }, { "voidDate": "2025-01-14" } ] }
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.actionresult+json
example-0

Successful Response

{
  "result": "SUCCESS"
}
example-1

Successful Response

{
  "result": "SUCCESS"
}
object
400

Bad Request

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.actionresult+json
example-0

Unsuccessful Response

{
  "error": "Error: No matching records found for the combination of Company Code: RKC, Vendor Code: ARRO, Invoice Code: 62815600, Voucher Number: 157213"
}
example-1

Unsuccessful Response

{
  "error": "Error: No matching records found for the combination of Company Code: RKC, Vendor Code: ARRO, Invoice Code: 62815600, Voucher Number: 157213"
}
object
Copyright © 2024 CMiC All Rights Reserved